Kerbal Space Program - Bug #24943

Resources & Modules re-sort in PAW in Editor when right-clicking on part
02/29/2020 02:23 PM - Poodmund

Status: Confirmed Start date: 02/29/2020
Severity: Low % Done: 10%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.9.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

When you right-click on a part and open its PAW in the Editor the list of resources and modules appear to re-sort themselves and
adjust each time you right-click on the part/refresh the PAW. This issue seems to have been introduced in KSP 1.8.0 and persists
through to 1.9.1, it did not occur in 1.7.3.

Reproduction Steps:

Start a new game and go into the Editor/VAB.

Pick the Mk1-3 Command Pod from the part catalogue.

Right-click on the capsule to open its PAW.

Right-click on the capsule again with the PAW already open and witness the listed resources in the PAW shuffle around.

Platform: Kerbal Space Program - 1.9.1.2788 (WindowsPlayer x64) en-us

Videos of bug:

Occurring in Editor on 1.9.1.2788 (WindowsPlayer x64) Vanilla - https://www.youtube.com/watch?v=I1ZZlkxQlqU

Not occurring in Flight on 1.9.1.2788 (WindowsPlayer x64) Vanilla - https:/www.youtube.com/watch?v=gJInVIGJRg8
Not occurring in Editor on 1.7.3.2594 (WindowsPlayer x64) Vanilla - https://www.youtube.com/watch?v=7snxS1wW9FQ

History

#1 - 03/04/2020 05:54 PM - christy.theus
- Status changed from New to Confirmed

- % Done changed from 0 to 10
#3 - 11/16/2021 07:25 PM - gotmachine

The 2 UlPartActionWindow.AddGroup() methods are missing an extra "controlindex++"
"controlindex" should be incremented twice when a new group is created, first for the group, then for the item being added to it.
